#include	"extern.h"

// define LED ports
outLED1 BIT PA.4;
outLED2 BIT PA.6;

// 3.6 seconds = 27900 counts
// for interrupt on bit 15, init with 32768 - 27900 = 4868
WORD TIME36S = 4868;

// 50 ms = 387 counts
// for interrupt on bit 15, init with 32768 - 387 = 32381
WORD TIME50MS = 32381;

void	FPPA0 (void)
{
	// use internal ILRC clock = 62 kHz
	.ADJUST_IC	SYSCLK=ILRC

	// set pins to output
	$ outLED1	Low, Out;
	$ outLED2	Low, Out;

	// enable interrupts for timer16
	$ INTEN T16;

	// pre-scaler 4 = 7750 Hz
	$ T16M ILRC, /4, BIT15;

	// global interrupt enable
	engint;

	while (1) {
		// LED1 on
		$ outLED1	High, Out;

		// wait 50 ms
		stt16 TIME50MS;
		stopexe;

		// LED1 off
		$ outLED1	Low, Out;

		// wait 3.6 seconds
		stt16 TIME36S;
		stopexe;

		// LED2 on
		$ outLED2	High, Out;

		// wait 50 ms
		stt16 TIME50MS;
		stopexe;

		// LED2 off
		$ outLED2	Low, Out;

		// wait 3.6 seconds
		stt16 TIME36S;
		stopexe;
	}
}

void Interrupt(void)
{
	pushaf;

	if (Intrq.T16)
	{
		//	T16 Trig
		Intrq.T16	=	0;
	}

	popaf;
}
